[plt-scheme] 4.0.2 on OS X 10.3.9

From: David T. Pierson (dtp at mindstory.com)
Date: Tue Aug 5 22:45:17 EDT 2008


The download page for 4.0.2 says:

  System Requirements: ... Mac OS X (10.3 and up)

I am trying to use 4.0.2 on a PowerPC Mac running OS X 10.3.9.  The GUI
apps like DrScheme don't come up when launched (no windows, no error
messages, nothing).  The command-line tools give me an error like this:

$ /Applications/PLT\ Scheme\ v4.0.2/bin/mzscheme
dyld: /Applications/PLT Scheme v4.0.2/bin/mzscheme Undefined symbols:
PLT_MzScheme undefined reference to ___stderrp expected to be defined in /usr/lib/libSystem.B.dylib
Trace/BPT trap

Is 10.3 really supported?  Any suggestions?



Posted on the users mailing list.